<%@ Language=VBScript %>
<!-- #include file="naxp1vbs.asp" -->
<%
    Dim main, imgStg, dataStrm, rootStg
    Set main = Server.CreateObject("{F86AC6C2-5578-4AE8-808A-DC5DAA78082A}")
    
    ' Library =================
    
        Sub CreateDataFile
            If main.IsStorageFile(Server.MapPath("datax.bin")) = 0 Then
                ' Storage is not here
                Err.Raise 1, "Sample App", "The storage data file (datax.bin) cannot be found."
            Else
                Set rootStg = main.OpenStorageFile(Server.MapPath("datax.bin"))
                Set imgStg = rootStg.OpenStorage("Images")
                Set dataStrm = rootStg.OpenStream("Data")
            End If
        End Sub
        
        Sub OpenDataFile
            Application.Lock()
                If Not IsObject(Application("rootStg")) Then
                    CreateDataFile
                    Set Application("rootStg") = rootStg
                    Set Application("imgStg") = imgStg
                    Set Application("dataStrm") = dataStrm
                Else
                    Set rootStg = Application("rootStg")
                    Set imgStg = Application("imgStg")
                    Set dataStrm = Application("dataStrm")
                End if
            Application.Unlock()
        End Sub
    
        OpenDataFile
        
        Set rec = Server.CreateObject("{52CA1847-DDB9-49BB-96F4-099C6BC3B7E8}")
        rec.AddField "Used", vbBoolean
        rec.AddField "Name", vbString, 31
        rec.AddField "Age", vbLong
        rec.AddField "Sex", vbBoolean
        rec.AddField "Weight", vbInteger
        rec.AddField "Image", vbString, 33
        rec.BindTo dataStrm
        rec.Filter.unicodeText = False
        
        rec.MoveFirst
        
        Dim recCount
        recCount = rec.RecordCount
        
        Dim action
        If Request("Action").Count > 0 Then action = Request("Action")(1)
        
    ' =========================
    Sub Header
        %>
        <html>

        <head>
        <meta name="GENERATOR" content="newObjects ALP 1.1">
        <link REL="stylesheet" HREF="/styles.css">
        <title>Cat files</title>
        </head>
        
        <body bgcolor="#FFFFFF" topmargin="0" leftmargin="0">
        
        
        <%
    End Sub    
    Sub Footer
        %>
        <A HREF="<%= Request.ServerVariables("SCRIPT_NAME") %>">Refresh</A>
        </body>
        </html>
        <%
    End Sub
    
    Sub RecList
        rec.MoveFirst
        Dim nRec
        nRec = 0
        %>
            <TABLE>
                <TR>
                    <TH>Image</TH>
                    <TH>Name</TH>
                    <TH>Age (years)</TH>
                    <TH>Sex</TH>
                    <TH>Weight</TH>
                </TR>
        <%
        While Not dataStrm.EOS
            If rec("Used").Value Then
                %>
                    <TR>
                        <TD VALIGN="TOP" ALIGN="CENTER"><IMG 
                            SRC="<%= Request.ServerVariables("SCRIPT_NAME") %>?Action=Image&Image=<%= rec("Image") %>">
                        </TD>
                        <TD VALIGN="TOP" ALIGN="LEFT"><B><%= rec("Name").Value %></B></TD>
                        <TD VALIGN="TOP" ALIGN="RIGHT"><%= CLng(rec("Age").Value) %></TD>
                        <TD VALIGN="TOP" ALIGN="LEFT"><% If rec("Sex").Value Then Response.Write "Male" Else Response.Write "Female" %></TD>
                        <TD VALIGN="TOP" ALIGN="RIGHT"><%= CLng(rec("Weight").Value) %></TD>
                    </TR>
                <%
            End If
            rec.MoveNext
            nRec = nRec + 1
        Wend
        %>
            </TABLE>
        <%
    End Sub
    
	Select Case Action
        Case "Image"
            Response.ContentType = "image/" & LCase(main.GetExtensionName(Request("Image")))
            Set strm = imgStg.OpenStream(Request("Image"))
            Response.BinaryWrite strm.ReadBin(strm.Size)
            Set strm = Nothing
        Case Else
            Header
            RecList
            Footer
    End Select
%>

